ROOT_DIR = $(shell pwd)
TOOLCHAIN=/opt/toolchains/uclibc-crosstools_gcc-3.4.2_uclibc-20050502
CROSS_COMPILE = $(TOOLCHAIN)/bin/mips-linux-uclibc-

REGION = NA
GPL_REL_NAME=$(HW_ID)_V$(VER)_$(REGION)_src
BUILD_DIR = $(ROOT_DIR)/../..
GPL_DIR = $(BUILD_DIR)/$(HW_ID)_V$(VER)_$(REGION)_src
GPL_APPS_DIR = $(BUILD_DIR)/apps
GPL_TOOLS_DIR = $(BUILD_DIR)/tools
GPL_KERNEL_DIR = $(BUILD_DIR)/kernel/linux
KERNEL_SRC = $(ROOT_DIR)/../Kernel/bcm963xx/kernel
LIB_SRC = $(ROOT_DIR)/tools/uClibc-0.9.28

BRCM_BOARD =bcm963xx
BRCMDRIVERS_DIR = $(BUILD_DIR)/bcmdrivers
INC_BRCMBOARDPARMS_PATH= $(BUILD_DIR)/targets/boardparms
INC_BRCMDRIVER_PUB_PATH=$(BRCMDRIVERS_DIR)/opensource/include
INC_ADSLDRV_PATH=$(BRCMDRIVERS_DIR)/broadcom/char/adsl/bcm96348

K_KERNEL = $(ROOT_DIR)/../Kernel/$(BRCM_BOARD)
K_BRCMBOARDPARMS_PATH = $(K_KERNEL)/targets/boardparms
K_BRCMDRIVERS_DIR = $(K_KERNEL)/bcmdrivers
K_BRCMDRIVER_PUB_PATH = $(K_BRCMDRIVERS_DIR)/opensource/include
K_ADSLDRV_PATH = $(K_BRCMDRIVERS_DIR)/broadcom/char/adsl/bcm96348

export \
TOOLCHAIN \
CROSS_COMPILE \
BRCM_BOARD \
BUILD_DIR \
BRCMDRIVERS_DIR \
INC_BRCMBOARDPARMS_PATH \
INC_BRCMDRIVER_PUB_PATH \
INC_ADSLDRV_PATH \


